=== debian/changelog ===
falkon (25.04.1-1) unstable; urgency=medium

  * New upstream version 25.04.1
  * checked that nested bookmark folders are possible without forcing
    falkon to crash. Closes: #1102883

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 08 May 2025 14:52:20 +0200

falkon (25.04.0-1) unstable; urgency=medium

  * New upstream version 25.04.0

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 04 May 2025 19:45:18 +0200
