=== debian/changelog ===
falkon (4:25.07.80-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Use correct official signed release tarball from download.kde.org.
      The tarballs generated by github from tags on the KDE github mirror
      are not official or signed, and are not generated by the KDE release
      scripts. Their contents are often not complete, and should not be
      used to upload to distributions.
    - Point watch file to correct location on download.kde.org.
    - Update upstream signing key.
    - Build depend on dh-sequence-kf6
    - Fix qtwebengine qml module runtime depend to be Qt6 version.
    - Drop add-source-minified-js.patch, no longer needed.
    - Remove src/lib/data/html/jquery*.js from Files-Excluded from copyright
      file, apparently these files come with source from upstream now.
    - Add apparmor profile to fix userns crash.

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 10:10:04 +0100

falkon (25.07.80-1) unstable; urgency=medium

  * New upstream version 25.07.80

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 12 Jul 2025 09:26:00 +0200

falkon (25.04.3-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Use correct official signed release tarball from download.kde.org.
      The tarballs generated by github from tags on the KDE github mirror
      are not official or signed, and are not generated by the KDE release
      scripts. Their contents are often not complete, and should not be
      used to upload to distributions.
    - Point watch file to correct location on download.kde.org.
    - Update upstream signing key.
    - Build depend on dh-sequence-kf6
    - Fix qtwebengine qml module runtime depend to be Qt6 version.
    - Drop add-source-minified-js.patch, no longer needed.
    - Remove src/lib/data/html/jquery*.js from Files-Excluded from copyright
      file, apparently these files come with source from upstream now.
    - Add apparmor profile to fix userns crash.

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Jul 2025 14:17:02 +0100

falkon (25.04.3-1) unstable; urgency=medium

  * New upstream version 25.04.3

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 11 Jul 2025 10:43:22 +0200
