## falkon 25.07.90

=== debian/changelog ===
falkon (25.07.90-1) unstable; urgency=medium

  * New upstream version 25.07.90

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 14 Aug 2025 10:29:35 +0200
