=== debian/changelog ===
falkon (25.08.0-2) unstable; urgency=medium

  * removed the recommendation falkon -> libsvtav1enc0.
    Closes: #1113828

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 04 Sep 2025 19:13:50 +0200

falkon (25.08.0-1) unstable; urgency=medium

  * New upstream version 25.08.0

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 15 Aug 2025 11:31:43 +0200
