=== debian/changelog ===
falkon (25.08.1-1) unstable; urgency=medium

  * New upstream version 25.08.1

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 24 Sep 2025 16:14:42 +0200
