=== debian/control ===
--- 
+++ 
@@ -42,8 +42,6 @@
  libkf6coreaddons-data,
 Suggests:
  libqt6webenginecore6-bin
-Recommends:
- libsvtav1enc0
 Conflicts: qupzilla (<< 3.0.0~)
 Replaces: qupzilla (<< 3.0.0~)
 Provides: www-browser
