=== debian/changelog ===
falkon (25.08.2-1) unstable; urgency=medium

  * New upstream version 25.08.2

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 16 Oct 2025 10:02:16 +0200
