=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%, \
    pgpmode=auto" \
    https://github.com/kde/falkon/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
